Bug 1573796 - [OSP10] live-migration uses port range from ephemeral port range
Summary: [OSP10] live-migration uses port range from ephemeral port range
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
low
low
Target Milestone: z9
: 10.0 (Newton)
Assignee: Rajesh Tailor
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On: 1313507 1597997
Blocks: 1573787 1573791 1573793
TreeView+ depends on / blocked
 
Reported: 2018-05-02 09:47 UTC by Rajesh Tailor
Modified: 2019-10-10 12:19 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.3.10-11.el7ost puppet-nova-9.6.0-6.el7ost
Doc Type: Bug Fix
Doc Text:
Previously, libvirtd live-migration used ports 49152 to 49215, as specified in the qemu.conf file. On Linux, this range is a subset of the ephemeral port range 32768 to 61000. Any port in the ephemeral range can be consumed by any other service as well. As a result, live-migration failed with the error: Live Migration failure: internal error: Unable to find an unused port in range 'migration' (49152-49215). The new libvirtd live-migration range of 61152 to 61215 is not in the ephemeral range.
Clone Of: 1313507
Environment:
Last Closed: 2018-09-17 16:54:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 561784 0 None None None 2018-05-02 09:47:11 UTC
Red Hat Product Errata RHBA-2018:2670 0 None None None 2018-09-17 16:56:19 UTC

Comment 13 Alex McLeod 2018-09-03 07:57:51 UTC
Hi there,

If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field.

The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to -.

Thanks,
Alex

Comment 15 errata-xmlrpc 2018-09-17 16:54:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2670


Note You need to log in before you can comment on or make changes to this bug.